> For the complete documentation index, see [llms.txt](https://docs.umbcheckout.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbcheckout.net/v17/core-services/object-reference/basket.md).

# Basket

The Basket object contains the below properties

| Property Name       | Type                                                                     | Use                                                                                                    |
| ------------------- | ------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------ |
| Id                  | string                                                                   | The Basket id                                                                                          |
| SessionId           | string                                                                   | The UmbCheckout Session Id                                                                             |
| SiteRootCulture     | string?                                                                  | The culture of the site root the Basket belongs to                                                     |
| CurrencyCode        | string?                                                                  | The 3-letter ISO currency code of every line in the Basket                                             |
| CheckoutSessionId   | string?                                                                  | The Stripe checkout session started for this Basket                                                    |
| CustomerReferenceId | string?                                                                  | A unique reference which can be used to identify the order                                             |
| Customer            | [Customer?](/v17/core-services/object-reference/customer.md)             | Information relating to the customer                                                                   |
| LineItems           | IEnumerable<[LineItem](/v17/core-services/object-reference/lineitem.md)> | The line items (products) contained in the Basket                                                      |
| ItemCount           | long                                                                     | The number of lines (products) in the Basket; use `IBasketService.TotalItems()` for the total quantity |
| Total               | decimal                                                                  | The sub total of the Basket, excluding Tax and Shipping (calculated, not stored)                       |
| MetaData            | Dictionary\<string, string>                                              | Used to store meta data against the basket                                                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbcheckout.net/v17/core-services/object-reference/basket.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
